pa_linux_pulseaudio.h File Reference
Public API definitions for users of PortAudio

PulseAudio-specific PortAudio API extension header file. More...

`#include "portaudio.h"`

Go to the source code of this file.

## Functions

PaError | PaPulseAudio_RenameSource (PaStream *s, const char *streamName)
PaError | PaPulseAudio_RenameSink (PaStream *s, const char *streamName)

## Detailed Description

PulseAudio-specific PortAudio API extension header file.

Definition in file pa_linux_pulseaudio.h.

## Function Documentation

## PaPulseAudio_RenameSink()

PaError PaPulseAudio_RenameSink | ( | PaStream * | s,
|  | const char * | streamName )

Renames the PulseAudio description for the sink that is opened by PortAudio.

Parameters

  s | The PortAudio stream to operate on.
  streamName | The new name/description of the sink.

Returns
  paNoError on success or the error encountered otherwise.

## PaPulseAudio_RenameSource()

PaError PaPulseAudio_RenameSource | ( | PaStream * | s,
|  | const char * | streamName )

Renames the PulseAudio description for the source that is opened by PortAudio.

Parameters

  s | The PortAudio stream to operate on.
  streamName | The new name/description of the source.

Returns
  paNoError on success or the error encountered otherwise.